Skip to main content
GET
https://{tenantDomain}/api/v2
/
rate-limit-policies
/
{id}
Get a rate limit policy
curl --request GET \
  --url https://{tenantDomain}/api/v2/rate-limit-policies/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/api/v2/rate-limit-policies/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/rate-limit-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "resource": "oauth_authentication_api",
  "consumer": "client",
  "consumer_selector": "<string>",
  "configuration": {
    "action": "allow"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier for the Rate Limit Policy.

Maximum string length: 26

Response

Rate limit policy retrieved successfully.

id
string<rate-limit-policy-id>
required

Unique identifier for the Rate Limit Policy.

Maximum string length: 26
resource
enum<string>
required

The API protected by the Rate Limit Policy.

Available options:
oauth_authentication_api
consumer
enum<string>
required

The consumer to which the rate limit policy applies.

Available options:
client
consumer_selector
string
required

Identifier or category within the consumer to which the policy applies. Supported values: client_id:<client_id> to target a specific client by ID, client_id:<cimd_uri> to target a CIMD client by URI, cimd_clients to target all CIMD clients, third_party_clients to target all third-party clients, or default to apply the policy to any consumer identifier not otherwise explicitly targeted.

Maximum string length: 255
configuration
object
required

The configuration of the rate limit policy.

created_at
string<date-time>

The date and time when the rate limit policy was created.

updated_at
string<date-time>

The date and time when the rate limit policy was last updated.